IMFI Bugs - Bug #2958

[HR-Report All Employee]perbaikan report all employee
08/06/2024 05:18 PM - Muhammad Bintar

Status: Closed Start date: 08/06/2024
Priority: Normal Due date: 08/09/2024
Assignee: shofwan shiddiq % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours
Description

dear tim developer mohon support nya untuk perbaikan report all employee dimana pengambilan data karyawan resign di dalam
tabel tampungan berdasarkan data closing bulan lalu, untuk bulan berjalan diambil data realtime.

remote.minovais.com:7071
database sq|
remote.minovais.com, 1452

Indomobil_Prod

History

#1 - 08/06/2024 05:39 PM - Kezia Pawitra Yulianti
- Due date changed from 08/12/2024 to 08/09/2024

- Status changed from New to Assigned

#2 - 08/08/2024 02:20 PM - shofwan shiddiq
- File clipboard-202408081419-rizkr.png added

- Assignee changed from shofwan shiddiq to Muhammad Bintar

Dear Ms Bintar, adjustment flow report all employee resign sudah di ubah

Flow

1. Job hanya di eksekusi 1 bulan sekali di akhir bulan

2. Apabila user execute employee active, maka akan mengambil data real dari master data pa2

3. Apabila user execute employee resign di tahun saat ini, maka data mengambil dari data yg sudah di up ke table tampungan (hr_md_emp_resign)
pada hari terakhir di bulan sebelumnya ( dengan filter resign date tahun), di tambah real data dari karyawan resign di bulan berjalan

4. Apabila user execute employee resign di tahun selain tahun ini, maka hanya mengambil data dari table tampungan dengan filter tahun yg diisi.

UPDATE Store Procedure
1. Rpt_IMFI_HR_PA_ALL_EMPLOYEE

CREATE NEW STORE PROCEDURE
1. Rpt_IMFI_HR_PA_ALL_EMPLOYEE_RESIGNNOW

CASE Tahun Berjalan
1. yg di uunderline merah merupakan employee yang resign di bulan ini dan di ambil secara real dari pa2

2. sisa nya dari table tampungan

#3 - 08/13/2024 02:40 PM - Muhammad Bintar

- Status changed from Assigned to Closed

- Assignee changed from Muhammad Bintar to shofwan shiddiq

sudah di deploy ke client.
